# hashTable_s Struct Reference

Collaboration diagram for hashTable_s:
[legend]

## Data Fields

int | numBuckets
size_t | keySize
int | freeData
hashBucket * | buckets
hashFunctionType | fn
hashEqualityType | eq

## Detailed Description

Definition at line 25 of file rpmhash.c.

## Field Documentation

int hashTable_s::numBuckets

number of hash buckets

Definition at line 26 of file rpmhash.c.

Referenced by findEntry(), htAddEntry(), htCreate(), and htFree().

size_t hashTable_s::keySize

size of key (0 if unknown)

Definition at line 27 of file rpmhash.c.

Referenced by htAddEntry(), htCreate(), and htFree().

int hashTable_s::freeData

should data be freed when table is destroyed?

Definition at line 28 of file rpmhash.c.

Referenced by htCreate(), and htFree().

hashBucket* hashTable_s::buckets

hash bucket array

Definition at line 29 of file rpmhash.c.

Referenced by findEntry(), htAddEntry(), htCreate(), and htFree().

hashFunctionType hashTable_s::fn

generate hash value for key

Definition at line 30 of file rpmhash.c.

Referenced by findEntry(), htAddEntry(), and htCreate().

hashEqualityType hashTable_s::eq

compare hash keys for equality

Definition at line 31 of file rpmhash.c.

Referenced by findEntry(), htAddEntry(), and htCreate().

The documentation for this struct was generated from the following file:

- rpmio/rpmhash.c